import { Controller, Get, Inject } from '@midwayjs/core';
import { UtilService } from '../service/util.service';

@Controller('/')
export class HomeController {
  @Inject()
  utilService:UtilService;
  @Get('/')
  async home(): Promise<string> {
    await this.utilService.util();
    return 'Hello Midwayjs!';
  }
}
