import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'notice' },
})
export class Notice extends BaseModel {
  @prop({ required: false, index: true, zh: '标题' })
  title: string;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
  @prop({ required: false, index: false, zh: '发布时间' })
  time: string;
  @prop({ required: false, index: false, zh: '来源' })
  source: string;
  @prop({ required: false, index: false, zh: '状态', default: '0' })
  status: string;
}
