import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'policy' },
})
export class Policy extends BaseModel {
  @prop({ required: false, index: true, zh: '发布人' })
  owner: string;
  @prop({ required: false, index: false, zh: '标题' })
  title: string;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
  @prop({ required: false, index: false, zh: '发布时间', remark: '默认当前时间' })
  time: string;
  @prop({ required: false, index: false, zh: '标题图片' })
  files: Array<any>;
  @prop({ required: false, index: false, zh: '来源' })
  source: string;
  @prop({ required: false, index: false, zh: '状态', default: '0' })
  status: string;
}
