import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Video } from '../../entity/service/video.entity';
type modelType = ReturnModelType<typeof Video>;
@Provide()
export class VideoService extends BaseService<modelType> {
  @InjectEntityModel(Video)
  model: modelType;
}
