import { MidwayConfig } from '@midwayjs/core';
const ip = 'host.docker.internal';
const project = 'zdlyjszy';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1697684406848_4978',
  koa: {
    port: 8700,
    globalPrefix: '/zdlyjszy/api',
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: '2d',
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${project}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  upload: {
    whitelist: null,
  },
} as MidwayConfig;
