import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'linkItem' },
})
export class LinkItem extends BaseModel {
  @prop({ required: false, index: false, zh: '事项名称' })
  title: string;
  @prop({ required: false, index: false, zh: '图标' })
  icon: Array<any>;
  @prop({ required: false, index: false, zh: '跳转至', remark: '非路由 就写 全地址' })
  to: string;
  @prop({ required: false, index: true, zh: '状态', default: '0' })
  status: string;
}
