import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'video' },
})
export class Video extends BaseModel {
  @prop({ required: false, index: true, zh: '发布人' })
  owner: string;
  @prop({ required: false, index: false, zh: '标题' })
  title: string;
  @prop({ required: false, index: false, zh: '发布时间' })
  time: string;
  @prop({ required: false, index: false, zh: '发布内容' })
  files: Array<any>;
  @prop({ required: false, index: true, zh: '状态', default: '0' })
  status: string;
}
