import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService} from 'free-midway-component';
import { Demand } from '../../entity/core/demand.entity';
type modelType = ReturnModelType<typeof Demand>;
@Provide()
export class DemandService extends BaseService<modelType> {
  @InjectEntityModel(Demand)
  model: modelType;
}
