import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Service } from '../../entity/core/service.entity';
type modelType = ReturnModelType<typeof Service>;
@Provide()
export class ServiceService extends BaseService<modelType> {
  @InjectEntityModel(Service)
  model: modelType;
}
