import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Auction } from '../../../entity/core/trade/auction.entity';
type modelType = ReturnModelType<typeof Auction>;
@Provide()
export class AuctionService extends BaseService<modelType> {
  @InjectEntityModel(Auction)
  model: modelType;
}
