import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { LinkItem } from '../../entity/service/linkItem.entity';
type modelType = ReturnModelType<typeof LinkItem>;
@Provide()
export class LinkItemService extends BaseService<modelType> {
  @InjectEntityModel(LinkItem)
  model: modelType;
}
