import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Policy } from '../../entity/service/policy.entity';
type modelType = ReturnModelType<typeof Policy>;
@Provide()
export class PolicyService extends BaseService<modelType> {
  @InjectEntityModel(Policy)
  model: modelType;
}
